import React from "react";
type IconNames = "IconAjust" | "IconAlerta" | "IconBillete" | "IconBilletera" | "IconBurguer" | "IconCalendar" | "IconCall" | "IconCandadoAbierto" | "IconCandadoCerrado" | "IconCards" | "IconCheckcard" | "IconCleanresults" | "IconCleardate" | "IconClock" | "IconClose" | "IconCloud" | "IconCode" | "IconColchones" | "IconColorClock" | "IconColorcalendar" | "IconComponente321" | "IconComponente3211" | "IconContact" | "IconContacts" | "IconCredit" | "IconDone" | "IconDone22Px" | "IconDoneWhite22Px" | "IconDownload" | "IconEdit" | "IconEnviar" | "IconError" | "IconFaceid" | "IconFeatherMenu" | "IconFem" | "IconFlip" | "IconFunFolder" | "IconFunMail" | "IconFunShare" | "IconFunTuya" | "IconGestion" | "IconGrupo17631" | "IconGrupo19421" | "IconHelp" | "IconHouse" | "IconHuella" | "IconInfo" | "IconInfo1" | "IconInfo22Px" | "IconInformatica" | "IconInput" | "IconKey" | "IconKey22Px" | "IconLavadora" | "IconLight" | "IconLogin" | "IconLove" | "IconMale" | "IconMarket" | "IconMercado" | "IconMessage" | "IconMoney" | "IconMore" | "IconMovimientos" | "IconNumber" | "IconOutput" | "IconPagar" | "IconPagarQr" | "IconPass" | "IconPay" | "IconPdf" | "IconPen" | "IconPhone" | "IconPicture" | "IconPig" | "IconPlace" | "IconPlay" | "IconProfile" | "IconPromos" | "IconPromostar" | "IconPse" | "IconPuntoventa" | "IconPuntoventa22Px" | "IconQr" | "IconQuestion" | "IconQuestion22Px" | "IconRetirar" | "IconSearch" | "IconSend" | "IconServices" | "IconShop" | "IconShop22Px" | "IconSolicitar" | "IconSolicitarbilletera" | "IconStarempty" | "IconStarfilled" | "IconSysArrowBack" | "IconSysBell" | "IconSysClose" | "IconSysUpArrow" | "IconTarjeta" | "IconTarjetaCheck" | "IconTime" | "IconTshirt" | "IconTuyapay" | "IconTv" | "IconUser" | "IconVideo" | "IconWallet" | "IconWhatsapp" | "";
type InputTypes = "default" | "email-address" | "numeric" | "phone-pad" | "ascii-capable" | "numbers-and-punctuation" | "url" | "number-pad" | "name-phone-pad" | "decimal-pad" | "twitter" | "web-search" | "visible-password";
interface TuyaButtonProps {
    primary?: boolean;
    size?: "small" | "big";
    customWidth?: 'short' | 'large';
    label: string;
    disabled?: boolean;
    vertical?: boolean;
    shape?: "square" | "circle";
    isIconVisible: boolean;
    iconWidth: string;
    iconHeight: string;
    iconName?: IconNames;
    onClick?: () => void;
}
export const TuyaButton: React.FC<TuyaButtonProps>;
interface TuyaInputProps {
    size?: "small" | "big";
    placeholder: string;
    disabled?: boolean;
    error?: boolean;
    errMsg?: string;
    type: InputTypes;
    value?: string;
    iconInsideRightName?: IconNames;
    iconOutsideLeftName?: IconNames;
    onClick?: () => void;
    onChange?: (text: any) => void;
}
export const TuyaInput: React.FC<TuyaInputProps>;
interface TuyaRadioButtonProps {
    label: string;
    selected: boolean;
    disabled?: boolean;
    size?: "default" | "big";
    onClick?: (currentSelected: boolean) => void;
}
export const TuyaRadioButton: React.FC<TuyaRadioButtonProps>;
interface TuyaCheckBoxProps {
    label: string;
    selected: boolean;
    disabled?: boolean;
    size?: "default" | "big";
    onClick?: (currentSelected: boolean) => void;
}
export const TuyaCheckBox: React.FC<TuyaCheckBoxProps>;

//# sourceMappingURL=types.d.ts.map
