import React from "react";
import { ComponentStory, ComponentMeta } from "@storybook/react";

import { TuyaCheckBox } from "../../components/ReactNative/CheckBox/TuyaCheckBox";

// More on default export: https://storybook.js.org/docs/react/writing-stories/introduction#default-export
export default {
  title: "ReactNative/CheckBox",
  component: TuyaCheckBox,
  // More on argTypes: https://storybook.js.org/docs/react/api/argtypes
  argTypes: {
    // backgroundColor: { control: 'color' },
  },
} as ComponentMeta<typeof TuyaCheckBox>;

// More on component templates: https://storybook.js.org/docs/react/writing-stories/introduction#using-args
const Template: ComponentStory<typeof TuyaCheckBox> = (args) => (
  <TuyaCheckBox {...args} />
);

export const Default = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
Default.args = {
  label: "CheckBox",
};

export const Selected = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
Selected.args = {
  label: "CheckBox",
  selected: true,
};

export const DefaultDisabled = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
DefaultDisabled.args = {
  label: "CheckBox",
  disabled: true,
};

export const CheckBoxBig = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
CheckBoxBig.args = {
  label: "CheckBox",
  size: "big",
};
