import React from "react";
import * as Icons from "tuya-icons";
import { IconNames } from "../types-interfaces";


export const generateIconComponent = (iconName: IconNames = "", config: {height?: string, width?: string} = {}): React.CElement<{}, React.Component> | null=> {
    let iconComponent = iconName ? Icons[iconName] : null;
    return iconComponent ? React.createElement(iconComponent, {
      height: config.height ? config.height : '1.5rem',
      width: config.width ? config.height : '1.5rem',
    }) : null
}