import React from "react";
import { ComponentStory, ComponentMeta } from "@storybook/react";

import { TuyaRadioButton } from "../../components/ReactNative/RadioButton/TuyaRadioButton";

// More on default export: https://storybook.js.org/docs/react/writing-stories/introduction#default-export
export default {
  title: "ReactNative/RadioButton",
  component: TuyaRadioButton,
  // More on argTypes: https://storybook.js.org/docs/react/api/argtypes
  argTypes: {
    // backgroundColor: { control: 'color' },
  },
} as ComponentMeta<typeof TuyaRadioButton>;

// More on component templates: https://storybook.js.org/docs/react/writing-stories/introduction#using-args
const Template: ComponentStory<typeof TuyaRadioButton> = (args) => (
  <TuyaRadioButton {...args} />
);

export const Default = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
Default.args = {
  label: "RadioButton",
  disabled: false,
};

export const Selected = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
Selected.args = {
  label: "RadioButton",
  selected: true,
};

export const DefaultDisabled = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
DefaultDisabled.args = {
  label: "RadioButton",
  disabled: true,
};

export const ReadioButtonBig = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
ReadioButtonBig.args = {
  label: "RadioButton",
  size: "bog",
};
